//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Loadingscreen {
/// <summary>
/// This function is hard-coded to always return 0.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Loadingscreen<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF2CA003F167E21D2<br />
/// </para>
/// </remarks>
public static bool LobbyAutoMultiplayerMenu(){
return Function.Call<bool>((Hash)0xF2CA003F167E21D2uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Loadingscreen<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEF7D17BC6C85264C<br />
/// </para>
/// </remarks>
public static bool LobbyAutoMultiplayerFreemode(){
return Function.Call<bool>((Hash)0xEF7D17BC6C85264CuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Loadingscreen<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB0C56BD3D808D863<br />
/// </para>
/// </remarks>
public static void LobbySetAutoMultiplayer(bool toggle){
Function.Call((Hash)0xB0C56BD3D808D863uL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Loadingscreen<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8AA464D4E0F6ACCD<br />
/// </para>
/// </remarks>
public static bool LobbyAutoMultiplayerEvent(){
return Function.Call<bool>((Hash)0x8AA464D4E0F6ACCDuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Loadingscreen<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFC309E94546FCDB5<br />
/// </para>
/// </remarks>
public static void LobbySetAutoMultiplayerEvent(bool toggle){
Function.Call((Hash)0xFC309E94546FCDB5uL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Loadingscreen<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC6DC823253FBB366<br />
/// </para>
/// </remarks>
public static bool LobbyAutoMultiplayerRandomJob(){
return Function.Call<bool>((Hash)0xC6DC823253FBB366uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Loadingscreen<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC7E7181C09F33B69<br />
/// </para>
/// </remarks>
public static void LobbySetAutoMpRandomJob(bool toggle){
Function.Call((Hash)0xC7E7181C09F33B69uL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Loadingscreen<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFA1E0E893D915215<br />
/// </para>
/// </remarks>
public static void ShutdownSessionClearsAutoMultiplayer(bool toggle){
Function.Call((Hash)0xFA1E0E893D915215uL, toggle);
}

}}
